## iaxmodem 0.1.16~dfsg

=== Makefile ===
MODEMVER=	iaxmodem-0.1.14
DSPVER=		spandsp-0.0.3-snapshot-20060707+
IAXVER=		libiax2-0.2.3-CVS-20060222+

CFLAGS:=	-DMODEMVER=\"${MODEMVER}\" -DDSPVER=\"${DSPVER}\" -DIAXVER=\"${IAXVER}\" \
		-Wall -g -DSTATICLIBS -D_GNU_SOURCE \
		-std=c99 -Ilib/libiax2/src -Ilib/spandsp/src \
		${CFLAGS}
OUR_CFLAGS=	-Wall -g -DSTATICLIBS -D_GNU_SOURCE \
		-std=c99 -Ilib/libiax2/src -Ilib/spandsp/src
OBJS=		iaxmodem.o lib/spandsp/src/.libs/libspandsp.a lib/libiax2/src/.libs/libiax.a
LDFLAGS+=	-lm -lutil -ltiff

all: iaxmodem

iaxmodem: build-libiax build-libspandsp iaxmodem.o
	${CC} ${CFLAGS} ${OBJS} -o iaxmodem ${LDFLAGS}

iaxmodem.o: iaxmodem.c
	${CC} ${CFLAGS} -c iaxmodem.c

build-libiax:
	cd lib/libiax2 && ${MAKE}

build-libspandsp:
	cd lib/spandsp && ${MAKE}

clean:
	rm -f *.o && \
	cd lib/libiax2 && ${MAKE} clean && \
	cd ../../lib/spandsp && ${MAKE} clean

## iaxmodem 1.2.0~dfsg

=== debian/changelog ===
iaxmodem (1.2.0~dfsg-4) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * Team upload.
  * Fix d/watch to actually find new upstream version

  [ Adrian Bunk ]
  * Fix FTBFS with gcc 10 on i386 (Closes: #987912)

 -- Bernhard Schmidt <berni@debian.org>  Thu, 06 May 2021 17:25:43 +0200

iaxmodem (1.2.0~dfsg-3) unstable; urgency=low

  * Fix build rules (Closes: #888601)
  * Added myself to uploaders
  * update vcs fields
  * Bumped standards: initscript, rules file
  * recompile fixes bug (Closes: #857906)

 -- Joerg Dorchain <joerg@dorchain.net>  Thu, 1 Mar 2018 10:28:36 +0100

iaxmodem (1.2.0~dfsg-2) unstable; urgency=low

  * Allow building with libtiff5 (Closes: #736014).
  * jblache is no longer an uploader (Closes: #688548).
  * Switch to dpkg V3 format.
  * Fix link command for building with ld --as-needed (Closes: #641729).
  * Update VCS fields.
  * Convert to dh.
  * Explicit [L]GPL-2 in debian/copyright.
  * uild_flags.patch: pass flags from dpkg-buildflags.

 -- Tzafrir Cohen <tzafrir@debian.org>  Sat, 26 Jul 2014 22:25:16 +0300

iaxmodem (1.2.0~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/rules:
    + Check that lib/spandsp/src/spandsp/mmx.h does not exist prior to build;
      just in case the header would reappear in the future.

  * debian/patches/01_seteuid_setegid_ordering.dpatch:
    + Removed; merged upstream.
  * debian/patches/11_build_configure-stamp.dpatch:
    + Updated; do not link unneeded libraries.
  * debian/patches/10_replacement_spandsp_mmx_h.dpatch:
    + Removed; not needed as the header is not shipped anymore and is not
      needed for a successful build.

 -- Julien BLACHE <jblache@debian.org>  Sun, 22 Feb 2009 11:56:35 +0100

iaxmodem (1.1.1~dfsg-3) unstable; urgency=low

  * debian/iaxmodem.init:
    + Added status action (closes: #498219).
  * debian/watch:
    + Changed URL to use Debian QA redirector for SourceForge.

 -- Julien BLACHE <jblache@debian.org>  Sun, 15 Feb 2009 18:10:00 +0100

iaxmodem (1.1.1~dfsg-2) unstable; urgency=low

  * debian/patches/01_seteuid_setegid_ordering.dpatch:
    + Added; call setegid() before seteuid() when dropping privileges, otherwise
      setegid() will fail once we're no longer root.

 -- Julien BLACHE <jblache@debian.org>  Wed, 30 Jul 2008 19:43:58 +0200

iaxmodem (1.1.1~dfsg-1) unstable; urgency=low

  * New upstream release.

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Sat, 19 Jul 2008 21:32:25 +0200

iaxmodem (1.1.0~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Tue, 12 Feb 2008 15:29:42 +0100

iaxmodem (1.0.0~dfsg-2) unstable; urgency=low

  * debian/iaxmodem.postrm:
    + Remove /var/log/iaxmodem on purge.

 -- Julien BLACHE <jblache@debian.org>  Mon, 31 Dec 2007 18:44:13 +0100

iaxmodem (1.0.0~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Just a renamed 0.3.2 as far as Linux is concerned.
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).

 -- Julien BLACHE <jblache@debian.org>  Fri, 07 Dec 2007 18:41:23 +0100

iaxmodem (0.3.2~dfsg-2) unstable; urgency=low

  * debian/rules:
    + Fix parallel builds.

 -- Julien BLACHE <jblache@debian.org>  Sun, 02 Dec 2007 12:26:21 +0100

iaxmodem (0.3.2~dfsg-1) unstable; urgency=low

  [ Julien BLACHE ]
  * debian/copyright:
    + Updated; New files appeared in compat/.

  [ Faidon Liambotis ]
  * New upstream release.
  * debian/patches/11_build_configure-stamp.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Fri, 12 Oct 2007 18:42:10 +0200

iaxmodem (0.3.1~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Sun, 05 Aug 2007 10:58:34 +0200

iaxmodem (0.3.0~dfsg-2) unstable; urgency=low

  * debian/rules:
    + Do not ignore make distclean errors.
  * debian/compat, debian/control:
    + Upgrade to DH_COMPAT 5.

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Aug 2007 18:33:04 +0200

iaxmodem (0.3.0~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Now supports V.17 reception; see changelog for details.

 -- Julien BLACHE <jblache@debian.org>  Tue, 15 May 2007 09:43:53 +0200

iaxmodem (0.2.1~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Sat, 24 Feb 2007 12:38:11 +0100

iaxmodem (0.2.0~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Wed,  3 Jan 2007 17:03:02 +0100

iaxmodem (0.1.16~dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Thu, 23 Nov 2006 09:20:43 +0100

iaxmodem (0.1.15~dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Use new ~dfsg versionning scheme.
    + Do not remove config.* in get-orig-source.
  * debian/patches/11_build_configure-stamp.dpatch:
    + Updated.
  * debian/iaxmodem.init:
    + Added LSB header.

 -- Julien BLACHE <jblache@debian.org>  Sat, 28 Oct 2006 10:54:55 +0200

iaxmodem (0.1.14.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Julien BLACHE <jblache@debian.org>  Tue,  1 Aug 2006 09:07:22 +0200

iaxmodem (0.1.13.dfsg-1) unstable; urgency=low

  * New upstream release.
    + Fixes iaxmodem always reporting a busy state under some circumstances.

 -- Julien BLACHE <jblache@debian.org>  Tue, 25 Jul 2006 09:09:13 +0200

iaxmodem (0.1.12.dfsg-1) unstable; urgency=low

  * New upstream release.
    + Fixes iaxmodem lock-up under some circumstances when sending faxes.
  * debian/patches/01_manpage_fixes.dpatch:
    + Removed; merged upstream.

 -- Julien BLACHE <jblache@debian.org>  Sun, 23 Jul 2006 21:51:37 +0200

iaxmodem (0.1.10.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/11_build_configure-stamp.dpatch:
    + Updated.
  * debian/patches/01_manpage_fixes.dpatch:
    + Added; fix path and name of the configuration files in the manpage
      (closes: #377037).



=== debian/control ===
Source: iaxmodem
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Joerg Dorchain <joerg@dorchain.net>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libtiff-dev | libtiff4-dev
Build-Conflicts: libiax-dev,
                 libspandsp-dev
Standards-Version: 4.1.3
Homepage: http://iaxmodem.sourceforge.net/
Vcs-git: https://salsa.debian.org/pkg-voip-team/iaxmodem.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/iaxmodem

Package: iaxmodem
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: software modem with IAX2 connectivity
 IAXmodem is a software modem written in C that uses an IAX channel (commonly
 provided by an Asterisk PBX system) instead of a traditional phone line and
 uses a DSP library instead of DSP hardware chipsets.
 .
 IAXmodem was originally conceived to function as a fax modem usable with
 HylaFAX, and it does that well. However IAXmodem also has been known to
 function with mgetty+sendfax and efax.

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg// \
http://sf.net/iaxmodem/iaxmodem-([\d\.]*)\.tar\.gz
